Returns the previous description for the topology

- « MongoDB\Driver\Monitoring\TopologyChangedEvent::getNewDescription

- MongoDB\Driver\Monitoring\TopologyChangedEvent::getTopologyId »

- PHP Manual
- MongoDB\Driver\Monitoring\TopologyChangedEvent
- Returns the previous description for the topology

# MongoDB\Driver\Monitoring\TopologyChangedEvent::getPreviousDescription

(mongodb >=1.13.0)

MongoDB\Driver\Monitoring\TopologyChangedEvent::getPreviousDescription — Returns the previous description for the topology

### Description

final public MongoDB\Driver\Monitoring\TopologyChangedEvent::getPreviousDescription(): MongoDB\Driver\TopologyDescription

### Parameters

This function has no parameters.

### Return Values

Returns the previous MongoDB\Driver\TopologyDescription for the topology.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.